<template>
    <div id="hint">
        <br />   
        <h3>Storyteller Hint
        <div id="hint">{{ hint }}</div></h3>
        <br />
        <br />
    </div>
</template>
<script>
    import axios from "axios";
    export default {
        name: "hint",
        props: ['roundId'],
        data: function () {
            return {
                hint: null
            }
        },
        created: function () {
            axios.get("https://localhost:44361/api/card/round/" + this.roundId + "/hint")
                .then(response => this.hint = response.data);
        },
    }
</script>

<style scoped>
    #hint {
        font-weight: bold;
    }
</style>